View Issue Details

IDProjectCategoryView StatusLast Update
0000788SymmetricDSBugpublic2014-02-02 20:52
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.1.2 
Target Version3.1.3Fixed in Version3.1.3 
Summary0000788: DbFill is populating columns with foreign values when a foreign key is not defined for the column.
DescriptionColumns without a FK are being populated with the FK value of another column instead of generating a new random value.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e011af93

2012-08-26 14:54:26

abrougher

Details Diff
0000788: DbFill is populating columns with foreign values when a foreign key is not defined for the column.

0000787: DbFill does not generate random values from BigInteger columns.

0000786: Create a unit test for DbFill.

0000788
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFill.java Diff File
add - symmetric-client/src/test/java/org/jumpmind/symmetric/DbFillTest.java Diff File

Issue History

Date Modified Username Field Change
2012-08-26 14:53 abrougher New Issue
2012-08-26 14:53 abrougher Status new => assigned
2012-08-26 14:53 abrougher Assigned To => abrougher
2012-08-26 15:09 abrougher Status assigned => resolved
2012-08-26 15:09 abrougher Fixed in Version => 3.1.3
2012-08-26 15:09 abrougher Resolution open => fixed
2012-08-28 07:55 chenson Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r6218
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master e011af93